Updaten sich flatpaks unter LEAP 15.2 im default automatisch?

Hinweis: In dem Thema Updaten sich flatpaks unter LEAP 15.2 im default automatisch? gibt es 7 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • Moin!


    Kurze Frage zu der Flatpak Integration in Leap 15.2 (Gnome, falls das einen Unterschied macht):


    Werden installierte flatpak apps automatisch vom System aktualisiert? Ich habe dazu nur für andere Distributionen Aussagen gefunden, und nach meinen Beobachtungen passiert da nichts automatisch.


    Weiß da jemand was?

    PRAISE THE OMNISSIAH

    Für den Inhalt des Beitrages 288921 haftet ausdrücklich der jeweilige Autor: Scytale

  • Die Flatpaks sind in sich eine geschlossene Anwendung incl. aller erforderlichen Abhängigkeiten. Und nein, meines Wissens werden die wohl nicht automatisch updatet. Kann man aber wohl machen, indem man sich ein Script schreibt und das in den Autostart lötet. Frag mich jetzt aber bitte nicht nach dem openSUSE-Befehl ... ich kenne nur den Update-Befehl von Mint. Unter Tumbleweed nutze ich keine Flatpaks.

  • Dann besorge ich mir mal auf meinem Testgerät Linux Mint und schau mir da mal an, was die dort mit Flatpaks machen. Bei LM weiß ich definitiv, dass da flatpaks automatisch upgedated werden.

    PRAISE THE OMNISSIAH

    Für den Inhalt des Beitrages 288956 haftet ausdrücklich der jeweilige Autor: Scytale

  • moinmoin Scytale ,

    Bei LM weiß ich definitiv, dass da flatpaks automatisch upgedated werden

    oh !!

    das war aber nicht immer so ... ;)

    ? Seit welcher Version oder was muß dazu nachinstalliert werden... ;)

    Für den Inhalt des Beitrages 288966 haftet ausdrücklich der jeweilige Autor: Petert

  • Mal oberflächlich geschaut:


    Im Autostart ist ein Befehlsaufruf "mintinstall-update-flatpak". Nach Feierabend versuche ich herauszubekommen, was das genau macht.


    €dit:

    Kurz im Web gesucht. Ich nehme an, dieses .py Skript wird ausgeführt:


    PRAISE THE OMNISSIAH

    Für den Inhalt des Beitrages 288968 haftet ausdrücklich der jeweilige Autor: Scytale

  • Zumindest ist das der Update-Befehl ... "mintinstall-update-flatpak"

    Was der nun genau macht habe ich noch nicht untersucht.